require 'logger'
require 'socket'

class TransisLogger < Logger
  def initialize(io)
    super(io)

    date_format = "%a %D %T"
    self.formatter = proc do |severity, datetime, progname, msg|
      "#{severity[0..0]}, [#{datetime.strftime(date_format)}] #{$$} #{msg}\n"
    end
  end
end
